# (tmb) temp linking fix
%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1

Summary:	SSH2 server and client
Name:		dropbear
Version:	2016.74
Release:	1
License:	MIT
Group:		Networking/Remote access
Url:		http://matt.ucc.asn.au/dropbear/dropbear.html
Source0:	http://matt.ucc.asn.au/dropbear/releases/%{name}-%{version}.tar.bz2
Source1:	dropbear.service
Source2:	dropbear-keygen.service
BuildRequires:	pam-devel
BuildRequires:	tomcrypt-devel
BuildRequires:	tommath-devel
BuildRequires:	pkgconfig(zlib)
Requires(post,preun):	rpm-helper

%description
Dropbear is a relatively small SSH 2 server and client. Dropbear
is particularly useful for "embedded"-type Linux (or other Unix)
systems, such as wireless routers.

%files
%doc CHANGES INSTALL LICENSE MULTI README SMALL TODO
%dir %{_sysconfdir}/dropbear
%config(noreplace) %{_sysconfdir}/sysconfig/dropbear
%{_unitdir}/dropbear*
%{_bindir}/dropbearkey
%{_bindir}/dropbearconvert
%{_bindir}/dbclient
%{_sbindir}/dropbear
%{_mandir}/man1/dbclient.1*
%{_mandir}/man1/dropbearconvert.1*
%{_mandir}/man1/dropbearkey.1*
%{_mandir}/man8/dropbear.8*

%post
%_post_service %{name}

%preun
%_preun_service %{name}

#----------------------------------------------------------------------------

%prep
%setup -q

%build
# Point to the OpenSSH SFTP subsystem binary since dropbear doesn't include
# sftp support itself. The location is architecture-dependent, so must be
# overridden at build time, not patch time
%configure2_5x CPPFLAGS='-DSFTPSERVER_PATH=\"%{_libdir}/ssh/sftp-server\" -I%{_includedir}/tomcrypt -I%{_includedir}/tommath'
#	--enable-pam

%make -k || make

%install
%makeinstall_std

install -d %{buildroot}%{_sysconfdir}/dropbear
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/dropbear.service
install -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/dropbear-keygen.service
install -d %{buildroot}%{_mandir}/man1
install -m 0644 dbclient.1 %{buildroot}%{_mandir}/man1/dbclient.1
install -d %{buildroot}%{_mandir}/man8
install -m 0644 dropbearkey.1 %{buildroot}%{_mandir}/man1/dropbearkey.1

cat > %{buildroot}%{_sysconfdir}/sysconfig/dropbear << EOF
OPTIONS=""
EOF

chmod a+r CHANGES INSTALL LICENSE MULTI README SMALL TODO

%changelog
